aboutsummaryrefslogtreecommitdiffstats
path: root/repo/features/colorado/make_odl.sh
diff options
context:
space:
mode:
authorJustin chi <chigang@huawei.com>2016-11-24 08:47:48 +0000
committerGerrit Code Review <gerrit@opnfv.org>2016-11-24 08:47:48 +0000
commit36f5cffcf373a8a12677c8e406cd11c8d9ffe2bb (patch)
treea20455421b7bdf19890032ce4da74ceee3a46762 /repo/features/colorado/make_odl.sh
parent2446530c3230221d76877851012eb39e2a7c0360 (diff)
parent35086233fdfb4163c589fc258229a931bb02df1a (diff)
Merge "Create make_repo directory and optimize the current repo making related script"
Diffstat (limited to 'repo/features/colorado/make_odl.sh')
-rw-r--r--repo/features/colorado/make_odl.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/repo/features/colorado/make_odl.sh b/repo/features/colorado/make_odl.sh
new file mode 100644
index 00000000..32d5f6e0
--- /dev/null
+++ b/repo/features/colorado/make_odl.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -ex
+
+TIMEOUT=10
+
+PACKAGE_URL=http://205.177.226.237:9999
+
+curl --connect-timeout $TIMEOUT -o /odl.tar.gz $PACKAGE_URL/odl.tar.gz
+
+